iOS on Ipods?

#1TheTrinityPosted 7/17/2012 2:53:30 PM
I'm just wondering if an iPod touch would be able to run this game? I've never downloaded a full game so I don't have any experience with that sort of thing.
---
Il n'y a rien de nouveau sous le soleil.
#2JRPGPosted 7/18/2012 11:08:29 PM
It should work. How old is your iPod? My first generation works with most games and final fantasy 1 and 2... but not with espagaluda and if I play eternal legacy the graphics are not as good as the newer iPods or my iphone as they have a faster processer and graphics chip.
---
3DS Friend code: 2621-2720-6163 Joerpg
Not sure if serious!? ...is this real life?
#3TheTrinity(Topic Creator)Posted 7/20/2012 7:01:29 AM
I just got it last year. That's good to know it's at least plausible. Now I just have to save enough space on there...
---
Il n'y a rien de nouveau sous le soleil.
#4leopardsnakePosted 7/25/2012 12:17:27 PM
My Ipod is version 4.2.1.

Will it work?
---
FFVII>FFX>FFVIII>FFVI>FFIX>FFXII>XIII-2>XIII
#5JRPGPosted 8/6/2012 11:17:07 PM
leopardsnake posted...
My Ipod is version 4.2.1.

Will it work?


I had a really old iPod with version 1 and final fantasy 1 and 2!worked perfect so I assume you should be fine.

If it didn't work apple will fully refund the money so no problems. Happened to me with a really heavy shoot em up.
---
3DS: 2621-2720-6163 Yuri: "Whoa! Lady, I can see your...
Alluring Spy: "I hope you got a good look, sonny boy. Just think of it as my apology."
#6leopardsnakePosted 8/7/2012 9:25:08 AM
JRPG posted...
leopardsnake posted...
My Ipod is version 4.2.1.

Will it work?


I had a really old iPod with version 1 and final fantasy 1 and 2!worked perfect so I assume you should be fine.

If it didn't work apple will fully refund the money so no problems. Happened to me with a really heavy shoot em up.


Ah; thank you!
---
FFVII>FFX>FFVIII>FFVI>FFIX>FFXII>XIII-2>XIII